# 企业网盘
## 安装注意： 
1. 支持安装时配置seafile域名,编辑values.yaml，将其中的file.kexin.sddl替换为自己配置的域名
2. 默认安装onlyoffice，如果不安装onlyoffice，在values.yaml中找打onlyoffice.enabled设置为false即可
3. 默认安装mariadb,如果集群中已经部署了mariadb,可以不用安装mariadb，需要做以下配置:
   - 在values.yaml中找打 `mariadb.enabled` 设置为false
   - `mariadb.serviceDomainName` 设置mariadb的service域名，确保seafile能够访问到该服务
   - 设置values.yaml中的env 并将 `DB_ROOT_PASSWD` 的设置为mariadb的root密码
4. 默认安装memcached,如果集群中已经部署了memcached,可以不用安装memcached，需要做以下配置:
   - 在values.yaml中找打 `memcached.enabled` 设置为false
   - 并在安装完之后，修改seafile pod(Pod 名称以netdisc开头)中的`/opt/seafile/conf/seahub_settings.py`文件，将`memcached:11211` 修改为当前服务器集群中已部署的memcached`服务域名:端口`
   - 重启seafile pod
## 安装之后进行如下配置
1. 在Piicloud3[One]管理平台中找到picloud-system命名空间下的名称为picloud-controller-manager的pod，然后将其删除，使其重建。目的是添加ingress host name domain 到 custome-dns中。
2. 如果安装onlyoffice，需要做以下操作，在安装的命名空间中找到seafile pod（注意：seafile deployment 名称为 netdisc），通过执行命令行进入，并修改以下两个文件

   ① `/opt/seafile/conf/seahub_settings.py`
   - 以下两个变量的值设置为https
     1. SERVICE_URL
     2. FILE_SERVER_ROOT 
   - 将`/opt/custom/seahub_settings.py`的内容追加到该文件`/opt/seafile/conf/seahub_settings.py`中

   ②`/shared/nginx/conf/seafile.nginx.conf`
   - 将`/opt/custom/nginx.config`按照其内容说明合并到该文件`/shared/nginx/conf/seafile.nginx.conf`中
3. 如果不安装onlyoffice，需要做以下操作，在安装的命名空间中找到seafile pod中，通过执行命令行进入，并修改该文件
    `/opt/seafile/conf/seahub_settings.py`
   - 以下两个变量的值设置为https
      1. SERVICE_URL
      2. FILE_SERVER_ROOT
   - 仅将`/opt/custom/seahub_settings.py`的**最后一行**追加到该文件`/opt/seafile/conf/seahub_settings.py`中
4. 在安装的命名空间中找到seafile pod，通过删除 pod，使其重建
5. 添加一条hosts解析 `集群WanIP seafileHostDomain`
6. 访问seafileHostDomain默认管理员的用户名：tdology@tdology.com 密码：tdologyadminpass

### 以下为values.yaml部分说明

| Key                         | Type | Default                     | Description                                                                                                                                                                         |
|-----------------------------|------|-----------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| env                         | object | See below                   | environment variables.                                                                                                                                                              |
| env.DB_HOST                 | string | `"ChartReleasName-mariadb"` | The hostname of your database                                                                                                                                                       |
| env.DB_ROOT_PASSWD          | string | `"tdologyrootpass"`         | The root password for mysql (used for initial setup)                                                                                                                                |
| env.SEAFILE_ADMIN_EMAIL     | string | `"example@example.com"`     | The initial admin user's email                                                                                                                                                      |
| env.SEAFILE_ADMIN_PASSWORD  | string | `"tdologyadminpass"`        | The initial admin user's password                                                                                                                                                   |
| env.SEAFILE_SERVER_HOSTNAME | string | `nil`                       | The hostname for the server (set to your ingress hostname)                                                                                                                          |
| env.TIME_ZONE               | string | `"Etc/UTC"`                 | Set the container timezone                                                                                                                                                          |
| image.pullPolicy            | string | `"IfNotPresent"`            | image pull policy                                                                                                                                                                   |
| image.repository            | string | `"library/seafile-mc"`      | image repository                                                                                                                                                                    |
| image.tag                   | string | `"11.0.8"`                  | image tag                                                                                                                                                                           |
| ingress.main                | object | See values.yaml             | Enable and configure ingress settings for the chart under this key.                                                                                                                 |
| mariadb                     | object | See values.yaml             | Enable and configure mariadb database subchart under this key.    For more options see [mariadb chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/mariadb) |
| persistence                 | object | See values.yaml             | Configure persistence settings for the chart under this key. Note that `shared` is a reserved keyword in the common-chart, make sure you use a diffrent key for persistance.        |
| onlyoffice                  | object | See values.yaml             | Configures onlyoffice settings for the chart.                                                                                                                                       |
